# $Revision: 1.6.2.1 $, $Date: 2007/03/20 09:28:19 $
Summary:	Send SMS via Polish GSM operators
Summary(pl):	Program do wysyania krtkich wiadomoci (SMS) do polskich sieci GSM
Name:		esemes
Version:	0.11
Release:	1
License:	BSD
Group:		Applications/Communications
Source0:	http://download.berlios.de/sms/%{name}-%{version}.tar.bz2
# Source0-md5:	ce77b7ad8462b8846e4b1eadb9f5b00f
URL:		http://sms.berlios.de/
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	sed >= 4.0
%pyrequires_eq  python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program sends SMS to mobile phones operaterd by Polish GSM
operators: Era, Plus and Orange.

%description -l pl
Program potrafi wysya wiadomoci na telefony sieci Era, Plus oraz
Orange.

%prep
%setup -q

%build
%{__sed} -i -e "s@python2.4@python@g" esemes misc.py

%install
rm -rf $RPM_BUILD_ROOT
install -D %{name} $RPM_BUILD_ROOT%{_bindir}/%{name}
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}
install *.py $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README*
%attr(755,root,root) %{_bindir}/%{name}
%{py_sitescriptdir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: esemes.spec,v $
Revision 1.6.2.1  2007/03/20 09:28:19  undefine
- on AC-branch is still iso, so back from utf

Revision 1.6  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.4  2006/11/28 19:09:58  qboosh
- completed pl summary
- use py_sitescriptdir, compile *.py, BR: rpm-pythonprov

Revision 1.3  2006/11/17 02:12:35  shadzik
- ups, typo

Revision 1.2  2006/11/17 01:05:06  shadzik
- Br: sed; use %{__sed} macro

Revision 1.1  2006/11/16 23:46:39  undefine
- initial
